## seaview 4.6.1.2

=== debian/changelog ===
seaview (1:4.6.1.2-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Mon, 06 Feb 2017 09:44:39 +0100

seaview (1:4.6.1.2-2) unstable; urgency=medium

  * Enable reading number of bootstraps from phyml runs
    Closes: #853835

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2017 12:54:56 +0100

seaview (1:4.6.1.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports to become compatible with backported phyml

 -- Andreas Tille <tille@debian.org>  Fri, 18 Nov 2016 08:49:03 +0100

seaview (1:4.6.1.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4
  * Add Keyword to desktop file

 -- Andreas Tille <tille@debian.org>  Fri, 18 Nov 2016 08:26:19 +0100

seaview (1:4.6.1.1-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 10 Sep 2016 07:10:54 +0200

seaview (1:4.6-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 04 May 2016 14:07:07 +0200

=== debian/control ===
Source: seaview
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               libfltk1.3-dev,
               libpng-dev,
               libxft-dev,
               libxext-dev,
               libxinerama-dev,
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/seaview.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/seaview.git
Homepage: http://doua.prabi.fr/software/seaview

Package: seaview
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: clustalo,
            muscle,
            phyml
Description: Multiplatform interface for sequence alignment and phylogeny
 SeaView reads and writes various file formats (NEXUS, MSF, CLUSTAL, FASTA,
 PHYLIP, MASE, Newick) of DNA and protein sequences and of phylogenetic trees.
 Alignments can be manually edited. It drives the programs Muscle or Clustal
 Omega for multiple sequence alignment, and also allows one to use any external
 alignment algorithm able to read and write FASTA-formatted files. It computes
 phylogenetic trees by parsimony using PHYLIP's dnapars/protpars algorithm, by
 distance with NJ or BioNJ algorithms on a variety of evolutionary distances, or
 by maximum likelihood using the program PhyML 3.0. SeaView draws phylogenetic
 trees on screen or PostScript files, and allows one to download sequences from
 EMBL/GenBank/UniProt using the Internet.

## seaview 4.6.4

=== debian/changelog ===
seaview (1:4.6.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2018 14:31:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libfltk1.3-dev,
                libpng-dev,
                libxft-dev,
                libxext-dev,
                libxinerama-dev,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/seaview.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/seaview.git
 Homepage: http://doua.prabi.fr/software/seaview

## seaview 4.7

=== Makefile ===
#For Debian compilation, uncomment the 2 lines below 
#HELPFILE= -DDEFAULT_HELPFILE=\"/usr/share/doc/seaview/seaview.html\"
#PHYMLNAME= -DPHYMLNAME=\"phyml\"


#to compile with PDF (through PDFlib Lite) rather than PostScript output, 
# uncomment next 4 lines and adapt next 2 to your local file system 
#PDF_INC = $(HOME)/PDFlib-Lite-6.0.1/libs #customize by setting to place of pdflib.h
#PDF_LIB = $(HOME)/PDFlib-Lite-6.0.1/libs #customize by setting to place of libpdf.*
#PDF_PS_FLAGS = -I$(PDF_INC)
#LPDF = -L$(PDF_LIB) -lpdf


#to use your own, uninstalled FLTK library,
#uncomment the next 3 lines and adapt the 1st to your local file system 
#FLTK = $(HOME)/fltk-1.3
#IFLTK = -I$(FLTK)
#CONFIG = $(FLTK)/fltk-config


CONFIG ?= fltk-config
PDF_PS_FLAGS ?= -DNO_PDF

EXTRALIBS = `$(CONFIG) --use-images --ldflags` -ldl -lpthread -lz

CC = gcc
CXX = g++
CSRC = csrc

#DEBUG = -g
#OPT = -O0

OPT ?= -O3

SVFLAGS = $(CPPFLAGS) $(CFLAGS) -Dunix $(OPT) -I. $(IFLTK) -I$(CSRC) $(DEBUG) $(HELPFILE) $(PHYMLNAME) $(PDF_PS_FLAGS)

OBJECTS = seaview.o custom.o use_mase_files.o regions.o load_seq.o align.o xfmatpt.o \
comlines.o resource.o nexus.o \
viewasprots.o racnuc_fetch.o concatenate.o statistics.o \
trees.o treedraw.o addbootstrap.o least_squares_brl.o \
pseudoterminal.o unrooted.o pdf_or_ps.o svg.o threads.o tbe.o Fl_Native_File_Chooser_FLTK.o
 
COBJECTS = raa_acnuc.o parser.o md5.o zsockr.o misc_acnuc.o dnapars.o protpars.o seq.o phylip.o lwl.o bionj.o phyml_util.o

seaview : $(OBJECTS) $(COBJECTS)
	$(CXX) -o $@ $(DEBUG) $(LDFLAGS) $(OBJECTS) $(COBJECTS) $(LPDF) $(EXTRALIBS) 

$(COBJECTS) : $(CSRC)/$<
	$(CC) -c $(DEBUG) $(OPT) $(CFLAGS) -Dunix -I$(CSRC) $(CSRC)/$*.c

Fl_Native_File_Chooser_FLTK.o : FL/Fl_Native_File_Chooser_FLTK.cxx
	$(CXX)  -c -I. $(SVFLAGS) FL/Fl_Native_File_Chooser_FLTK.cxx

.SUFFIXES:	.c .cxx .h .o

.cxx.o :
	$(CXX) -c  $(SVFLAGS) $<

=== debian/changelog ===
seaview (1:4.7-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:57:34 +0100

seaview (1:4.7-1build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:08:52 +0000

seaview (1:4.7-1) unstable; urgency=medium

  * New upstream version
  * Drop patch since upstream has fixed Makefile
  * Re-add example which was lost by accident
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 09 May 2018 14:39:32 +0200

seaview (1:4.6.5-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Add ldflags used in Makefile of last version to build successfully
  * Comment installation of example that is missing in upstream source
  * Remove duplicated reference with non-standard interface

 -- Andreas Tille <tille@debian.org>  Sat, 28 Apr 2018 07:25:07 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                libxext-dev,
                libxinerama-dev,
                zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/seaview.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/seaview.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/seaview
+Vcs-Git: https://salsa.debian.org/med-team/seaview.git
 Homepage: http://doua.prabi.fr/software/seaview
 
 Package: seaview

=== debian/rules ===
#!/usr/bin/make -f

# Same as upstream Makefile
CFLAGS  += -DUSE_XFT -I/usr/include/freetype2 -DFLTK1 -Dunix -Icsrc -I. -DNO_PDF

# Debian-specific names and paths
CFLAGS  += -DDEFAULT_HELPFILE=\"/usr/share/seaview/seaview.html\" -DPHYMLNAME=\"phyml\"

export DEB_CFLAGS_MAINT_APPEND  = $(CFLAGS) -fPIC

# Link as needed
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

## seaview 5.0.2

=== debian/changelog ===
seaview (1:5.0.2-3) unstable; urgency=medium

  * Team Upload.
  * Fix gcc-10 FTBFS (Closes: #957783)
  * compat version: 13

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 28 Jul 2020 19:47:08 +0530

seaview (1:5.0.2-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Fix autopkgtest
    Closes: #961399

  [ Nilesh Patra ]
  * Use xvfb to run autopkgtests

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 24 May 2020 21:21:17 +0200

seaview (1:5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace. (routine-update)
  * Wrap long lines in changelog entries: 20060918-1. (routine-update)
  * Use secure URI in Homepage field. (routine-update)
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright). (routine-update)
  * Extended description in d/copyright

 -- Steffen Moeller <moeller@debian.org>  Fri, 15 May 2020 13:20:44 +0200

## seaview 5.0.4

=== Makefile ===
--- 
+++ 
@@ -38,18 +38,19 @@
 comlines.o resource.o nexus.o \
 viewasprots.o racnuc_fetch.o concatenate.o statistics.o \
 trees.o treedraw.o addbootstrap.o least_squares_brl.o \
-pseudoterminal.o unrooted.o pdf_or_ps.o svg.o threads.o tbe.o Fl_Native_File_Chooser_FLTK.o
+pseudoterminal.o unrooted.o pdf_or_ps.o svg.o threads.o tbe.o treerecs_draw.o Fl_SVG_Image.o
  
 COBJECTS = raa_acnuc.o parser.o md5.o zsockr.o misc_acnuc.o dnapars.o protpars.o seq.o phylip.o lwl.o bionj.o phyml_util.o
 
 seaview : $(OBJECTS) $(COBJECTS)
 	$(CXX) -o $@ $(DEBUG) $(LDFLAGS) $(OBJECTS) $(COBJECTS) $(LPDF) $(EXTRALIBS) 
 
+Fl_SVG_Image.o : FL/Fl_SVG_Image.cxx
+	$(CXX) -c $(SVFLAGS) FL/Fl_SVG_Image.cxx
+
 $(COBJECTS) : $(CSRC)/$<
 	$(CC) -c $(DEBUG) $(OPT) $(CFLAGS) -Dunix -I$(CSRC) $(CSRC)/$*.c
 
-Fl_Native_File_Chooser_FLTK.o : FL/Fl_Native_File_Chooser_FLTK.cxx
-	$(CXX)  -c -I. $(SVFLAGS) FL/Fl_Native_File_Chooser_FLTK.cxx
 
 .SUFFIXES:	.c .cxx .h .o

=== debian/changelog ===
seaview (1:5.0.4-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 5.0.4

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 19 Sep 2020 15:59:30 +0530

seaview (1:5.0.2-4) unstable; urgency=medium

  * Team upload.

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 19 Sep 2020 15:52:00 +0530

=== debian/control ===
Source: seaview
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libfltk1.3-dev,
               libpng-dev,
               libxft-dev,
               libxext-dev,
               libxinerama-dev,
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/seaview
Vcs-Git: https://salsa.debian.org/med-team/seaview.git
Homepage: https://doua.prabi.fr/software/seaview
Rules-Requires-Root: no

Package: seaview
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: clustalo,
            muscle,
            phyml
Description: Multiplatform interface for sequence alignment and phylogeny
 SeaView is a viewer and editor of multiple sequence alignments, i.e.
 DNA or protein sequences are positioned each in their own separate line,
 such that the nucleotide/amino acid at a particular position (column) is
 presumed to have the same biochemical property.
 .
 SeaView reads and writes various file formats (NEXUS, MSF, CLUSTAL, FASTA,
 PHYLIP, MASE, Newick) of DNA and protein sequences and of phylogenetic trees.
 Alignments can be manually edited. It drives the programs Muscle or Clustal
 Omega for multiple sequence alignment, and also allows one to use any external
 alignment algorithm able to read and write FASTA-formatted files. It computes
 phylogenetic trees by parsimony using PHYLIP's dnapars/protpars algorithm, by
 distance with NJ or BioNJ algorithms on a variety of evolutionary distances, or
 by maximum likelihood using the program PhyML 3.0.
 .
 SeaView draws phylogenetic
 trees on screen or PostScript files, and allows one to download sequences from
 EMBL/GenBank/UniProt using the Internet.

=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,3 @@
 
 %:
 	dh $@
-

## seaview 5.0.5

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 COBJECTS = raa_acnuc.o parser.o md5.o zsockr.o misc_acnuc.o dnapars.o protpars.o seq.o phylip.o lwl.o bionj.o phyml_util.o
 
 seaview : $(OBJECTS) $(COBJECTS)
-	$(CXX) -o $@ $(DEBUG) $(LDFLAGS) $(OBJECTS) $(COBJECTS) $(LPDF) $(EXTRALIBS) 
+	$(CXX) -o $@ $(DEBUG) $(LDFLAGS) $(OBJECTS) $(COBJECTS) $(LPDF) $(EXTRALIBS) -Wl,-z,muldefs
 
 Fl_SVG_Image.o : FL/Fl_SVG_Image.cxx
 	$(CXX) -c $(SVFLAGS) FL/Fl_SVG_Image.cxx

=== debian/changelog ===
seaview (1:5.0.5-3) unstable; urgency=medium

  * Team upload.
  * bypass-fltk-version-check.patch: new: fix symbols disappearance.
    (Closes: #1102776)
  * d/t/control: use /tmp as HOME for the autopkgtest.
  * d/control: declare compliance to standards version 4.7.2.
  * harderning.patch: new: propagate CPPFLAGS.

 -- Étienne Mollier <emollier@debian.org>  Sat, 12 Apr 2025 23:11:52 +0200

seaview (1:5.0.5-2) unstable; urgency=medium

  [ Charles Plessy ]
  * Patch for command-line arguments of MUSCLE 5.

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Sun, 18 Dec 2022 08:24:57 +0100

seaview (1:5.0.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Andreas Tille <tille@debian.org>  Thu, 03 Feb 2022 16:01:36 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libxext-dev,
                libxinerama-dev,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/seaview
 Vcs-Git: https://salsa.debian.org/med-team/seaview.git
 Homepage: https://doua.prabi.fr/software/seaview

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 export DEB_CFLAGS_MAINT_APPEND  = $(CFLAGS) -fPIC
 
 # Link as needed
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # Hardening options
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

=== debian/tests/control ===
Test-Command: HOME=/tmp xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/run-unit-test
Depends: @, xvfb, xauth
Restrictions: allow-stderr

## seaview 5.1+20251106

=== Makefile ===
--- 
+++ 
@@ -3,28 +3,19 @@
 #PHYMLNAME= -DPHYMLNAME=\"phyml\"
 
 
-#to compile with PDF (through PDFlib Lite) rather than PostScript output, 
-# uncomment next 4 lines and adapt next 2 to your local file system 
-#PDF_INC = $(HOME)/PDFlib-Lite-6.0.1/libs #customize by setting to place of pdflib.h
-#PDF_LIB = $(HOME)/PDFlib-Lite-6.0.1/libs #customize by setting to place of libpdf.*
-#PDF_PS_FLAGS = -I$(PDF_INC)
-#LPDF = -L$(PDF_LIB) -lpdf
-
-
 #to use your own, uninstalled FLTK library,
-#uncomment the next 3 lines and adapt the 1st to your local file system 
+#uncomment the next 3 lines and adapt the 1st (and 2nd if FLTK was built with CMake) to your local file system
 #FLTK = $(HOME)/fltk-1.3
-#IFLTK = -I$(FLTK)
+#IFLTK = -I$(FLTK) # -I$(FLTK)/..
 #CONFIG = $(FLTK)/fltk-config
 
 
 CONFIG ?= fltk-config
-PDF_PS_FLAGS ?= -DNO_PDF
 
 EXTRALIBS = `$(CONFIG) --use-images --ldflags` -ldl -lpthread -lz
 
-CC = gcc
-CXX = g++
+CC = cc
+CXX = c++
 CSRC = csrc
 
 #DEBUG = -g
@@ -32,7 +23,7 @@
 
 OPT ?= -O3
 
-SVFLAGS = $(CPPFLAGS) $(CFLAGS) -Dunix $(OPT) -I. $(IFLTK) -I$(CSRC) $(DEBUG) $(HELPFILE) $(PHYMLNAME) $(PDF_PS_FLAGS)
+SVFLAGS = $(CPPFLAGS) $(CFLAGS) -Dunix $(OPT) -I. $(IFLTK) -I$(CSRC) $(DEBUG) $(HELPFILE) $(PHYMLNAME)
 
 OBJECTS = seaview.o custom.o use_mase_files.o regions.o load_seq.o align.o xfmatpt.o \
 comlines.o resource.o nexus.o \

=== debian/changelog ===
seaview (1:5.1+20251106-1) unstable; urgency=medium

  * New upstream release.
  * Build with FLTK 1.4.

 -- Charles Plessy <plessy@debian.org>  Wed, 24 Dec 2025 09:30:47 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libfltk1.3-dev,
+               libfltk1.4-dev,
                libpng-dev,
                libxft-dev,
                libxext-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # Same as upstream Makefile
-CFLAGS  += -DUSE_XFT -I/usr/include/freetype2 -DFLTK1 -Dunix -Icsrc -I. -DNO_PDF
+CFLAGS  += -DUSE_XFT -I/usr/include/freetype2 -DFLTK1.4 -Dunix -Icsrc -I. -I/usr/include/cairo
 
 # Debian-specific names and paths
 CFLAGS  += -DDEFAULT_HELPFILE=\"/usr/share/seaview/seaview.html\" -DPHYMLNAME=\"phyml\"

## seaview 20060918

=== Makefile ===
#this makefile has 2 targets
#seaview    (default target) for standard unix/linux compilation
#seaviewps  does not use the PDFLibLite library and outputs postscript 

#customize these next 3 lines
FLTK = ../fltk-1.1.6
PDF = ../PDFlib-Lite-6.0.1/libs/pdflib
X11 = /usr/X11R6

#comment out and customize next line to set helpfile name at compile-time
#HELP_NOT_IN_PATH = -DDEFAULT_HELPFILE=\"/bge/mgouy/seaview/seaview.help\"

CXX = g++

OPT = $(shell if [ '$(DEBUG)' = '' ]; then echo '-O2'; else echo '-O0'; fi)

STDCFLAGS  = -Dunix  -c $(OPT) -I$(FLTK) -I$(X11)/include $(DEBUG) $(HELP_NOT_IN_PATH)

CFLAGS = $(STDCFLAGS) -I$(PDF)
PDFLIBS = -L$(PDF) -lpdf 


#conditional macros 
seaviewps : CFLAGS = $(STDCFLAGS) -DNO_PDF -DNO_CLUSTALW


OBJECTS = custom.o use_mase_files.o regions.o load_seq.o align.o xfmatpt.o comlines.o chooser_plus.o resource.o nexus.o


seaview : seaview.o $(OBJECTS) pdf.o
	$(CXX) $(DEBUG)  seaview.o $(OBJECTS) pdf.o \
			-L$(FLTK)/lib -lfltk \
			$(PDFLIBS)   \
             -L$(X11)/lib -lX11 \
             -o seaview \
             -lm        

seaviewps : seaview.o $(OBJECTS) postscript.o
	$(CXX) $(DEBUG)  seaview.o $(OBJECTS) postscript.o \
			-L$(FLTK)/lib -lfltk \
             -L$(X11)/lib -lX11 \
             -o seaview \
             -lm        


.SUFFIXES:	.cxx .h .o

.cxx.o :
	$(CXX) $(CFLAGS) $<
